BMAThread Class Reference

`#include <BMAThread.h>`

Inheritance diagram for BMAThread:
[legend]
Collaboration diagram for BMAThread:
[legend]

## Public Member Functions

| BMAThread (BMAEPoll &ePoll)
void | start ()
void | join ()
std::string | getStatus ()
pid_t | getThreadId ()
int | getCount ()
void | output (BMASession *session)

## Additional Inherited Members

Public Attributes inherited from BMAObject
std::string | name
std::string | tag

## Detailed Description

BMAThread

This thread object is designed to be the thread processor for the BMAEPoll object. It wraps the thread object to allow maintaining a status value for monitoring the thread activity. BMAEPoll will instantiate a BMAThread object for each thread specified in the BMAEPoll's start method.

## Member Function Documentation

## start()

void BMAThread::start | ( |  | ) |

Start the thread object. This will cause the epoll scheduler to commence reading the epoll queue.

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/BMAThread.h
- /home/barant/Development/BMA/server_core/ServerCore/BMAThread.cpp